Game Client Version Mismatch Error Message

StarCraft II General
When switching between the Wings of Liberty retail and the Heart of the Swarm beta game clients, you may receive an error message stating “Game client version mismatch with selected region.” This specific error message is a side effect of changes recently made within the Heart of the Swarm beta game client and should not impact your ability to log into either game. If you receive this message, please press “OK” and try logging into the game normally.
Thanks for the post. There are a few people who were quite confused.

I installed the beta client yesterday, and ever since I did that, I've been getting Fatal Errors upon starting the WoL client. It doesn't even show me a login screen, it just immediately crashes to the desktop with an error code ID upon starting it up.

The workaround is simply restarting the computer, but the Fatal Error on the WoL client returns when I run the beta client again and then close it. This is on Windows 8.
I cant log in to the HOTS account any more it says:invalid region you dont have US char
"Your account has no game accounts that can be used in this region. Are you using the correct client?" could play perfectly before the patch :(

edit: fixed thanks
26/01/2013 13:49Posted by Kroek
"Your account has no game accounts that can be used in this region. Are you using the correct client?"


I get the same error, and so does my brother. We both have pre-ordered HotS from Blizzard and gotten the beta that way. We live in Finland. We could play before the patch with no prob.
26/01/2013 14:02Posted by Normanton
"Your account has no game accounts that can be used in this region. Are you using the correct client?"


I get the same error, and so does my brother. We both have pre-ordered HotS from Blizzard and gotten the beta that way. We live in Finland. We could play before the patch with no prob.

Same for me :(
wel it does not note "mismatch"? different error?
Suddenly this morning I was able to log in \o/
I still have the "client mismatch" problem. After I installed the HOTS beta, via the installer from my account page, neither HOTS beta or WoL works. Both gives the same error.

Are you homing in on a solution yet?
I just got my WOL client to work, by deleting the registry files for SC2 (the whole blizzard folder) under:

HKEY_CURRENT_USER>Software>Blizzard Entertainment

Found this solution on http://www.teamliquid.net/forum/viewmessage.php?topic_id=395456. Go figure :)

Edit: This also fixed my HOTS client!
I can't login into WOL anymore.
HOTS works like a charm. I reinstalled both but still no login possibble (of course i tried multiple times).
Please get this fixed, I mean i payed for WOL after all
What error do you get, Flo?
Its exactly the one from http://us.battle.net/sc2/en/forum/topic/7762346165
It's a german version of the game by the way

Login Error
Game client version mismatch with selected region.
The currently selected region may not yet be updated to the latest version of StarCraft II, and you will have to wait until maintenance on this region is complete. You may be able to continue playing if you change back to the region in which you last updated the game.
Yeah that was the exactly same problem I had, try deleting the Blizzard Entertainment folder in your registry, wrote the path up above :)
I have the same issue as Flo, also with a german client. Deleting registry did nothing for me : (

EDIT: I also have a "StarCraft II Retail" folder in my registry that has an additional entry in it, how about that one?
EDIT 2: Oh, I see you said the whole folder. That did it, thanks! : )
Awesome, glad I could help someone else after I got it fixed :)
same thing here can't play because of that bloody error please help
I tried also everything, but it doesn´t help

Join the Conversation

Return to Forum